MVRNG(4)

NAME
mvrng - Marvell ARMADA 7K/8K random number generator

SYNOPSIS
mvrng* at fdt?

DESCRIPTION
The mvrng driver provides support for the random number generator found on the Marvell ARMADA 7K/8K SoCs.

It feeds the random subsystem's entropy pool with 128 bits of random data every second.

SEE ALSO
intro(4), random(4), arc4random(9)

HISTORY
The mvrng driver first appeared in OpenBSD 6.4.

AUTHORS
-nosplit The mvrng driver was written by Mark Kettenis <kettenis@openbsd.org>.